Skip to main content
POST
/
api
/
v1
/
school
/
academic-classes
/
bulk-create
Bulk create class sessions
curl --request POST \
  --url https://test-api.afrainity.com/api/v1/school/academic-classes/bulk-create/ \
  --header 'Authorization: Bearer <token>'
{
  "created": true,
  "total_classes_created": 8,
  "created_session_classes": [
    {
      "id": "uuid-1",
      "name": "Form 1A",
      "session": "abc-123",
      "form": "form1-uuid",
      "form_name": "Form 1",
      "subjects": [
        "math-uuid",
        "english-uuid"
      ],
      "created_at": "2024-11-19T10:30:00Z"
    },
    {
      "id": "uuid-2",
      "name": "Form 1B",
      "session": "abc-123",
      "form": "form1-uuid",
      "form_name": "Form 1",
      "subjects": [
        "math-uuid",
        "science-uuid"
      ],
      "created_at": "2024-11-19T10:30:00Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

{key}
any